KDE 4.9 PyKDE API Reference

- KDE's Python API

# ItemProperty Class Reference

`from PyKDE4.kdecore import *`

Inherits: KConfigSkeletonItem
Namespace: KCoreConfigSkeleton

## Detailed Description

Class for handling a QVariant preferences item.

## Methods

| __init__ (self, QString _group, QString _key, QVariant reference, QVariant defaultValue=0)
bool | isEqual (self, QVariant p)
QVariant | property (self)
| readConfig (self, KConfig config)
| readDefault (self, KConfig config)
| setDefault (self)
| setDefaultValue (self, QVariant v)
| setProperty (self, QVariant p)
| setValue (self, QVariant v)
| swapDefault (self)
QVariant | value (self)
| writeConfig (self, KConfig config)

## Method Documentation

__init__ | ( | self, |
|  | QString | _group,
|  | QString | _key,
|  | QVariant | reference,
|  | QVariant | defaultValue=0
| ) |  |  |

KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

bool isEqual | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.isEqual(const QVariant &) const

QVariant property | ( |  | self ) |

KConfigSkeletonItem.property() const

readConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

readDefault | ( | self, |
|  | KConfig | config
| ) |  |  |

setDefault | ( |  | self ) |

setDefaultValue | ( | self, |
|  | QVariant | v
| ) |  |  |

setProperty | ( | self, |
|  | QVariant | p
| ) |  |  |

setValue | ( | self, |
|  | QVariant | v
| ) |  |  |

swapDefault | ( |  | self ) |

QVariant value | ( |  | self ) |

writeConfig | ( | self, |
|  | KConfig | config
| ) |  |  |